<div class="mat-elevation-z8A">
    <table mat-table [dataSource]="dataSource" class="w-100 pointer">
  
      <!-- Columns -->
      <ng-container *ngFor="let col of displayedColumns['col']">
        
        <ng-container *ngIf="col == 'action' else others" matColumnDef="{{ col }}">
          <th mat-header-cell *matHeaderCellDef class="header fs15 bg-light text_darkmode"> {{ displayedColumns['display'][col] }}</th>
          <td mat-cell *matCellDef="let element;let i = index" class="value fs15 bg-light text_darkmode">
           
            <ng-container *ngIf="!element['status_history'] || (element['status_history'] && !element['status_history']['managed']  )">
              <button mat-menu-item class="brl btn btn-md action mr-2 p-1" (click)="openWizard(element)">
                <i class="material-icons md-24 engieBlue">assignment</i>
              </button>
            </ng-container>

            <button *ngIf="!element['status_history']" mat-menu-item class="brl btn btn-md action p-1" (click)="silenceAlarm(element, i)">
            <!-- <button mat-menu-item class="brl btn btn-md action p-0" (click)="silenceAlarm(element, i)"> -->
              <i class="material-icons md-24 engieRed">notifications_paused</i>
            </button>
            
          </td>
        </ng-container>

        <ng-template #others>
          <ng-container  matColumnDef="{{ col }}">
            <th mat-header-cell *matHeaderCellDef class="header fs15">{{ displayedColumns['display'][col] }}</th>
            <td mat-cell *matCellDef="let element" class="value fs15"> 
              <div *ngIf="col != 'timestamp' else timestamp" class="value fs15">
                {{element[col]}} 
              </div>  

              <ng-template #timestamp>
                <div class="value fs15">
                  {{ formatDate(element[col]) }} 
                </div>  
              </ng-template>

            </td>
          </ng-container>
        </ng-template>

      </ng-container>
    
      <tr mat-header-row *matHeaderRowDef="displayedColumns['col']" ></tr>
      <tr 
        mat-row *matRowDef="let row = index; let element; columns: displayedColumns['col'];"
        [ngClass]="{'highlight': !element['status_history']}" 
        >
      </tr>
    </table> 
  
    <mat-paginator  class="fs15 bg-light text_darkmode"
                    style="z-index:9999999"
                    [pageSizeOptions]="[5, 10, 20]"
                    showFirstLastButtons 
                    aria-label="Lista di Allarmi">
    </mat-paginator>
  </div>